<template id="entity_create"> 
  <div class="animated fadeIn">
    <div class="jarviswidget jarviswidget-sortable" id="wid-id-1"  role="widget">
				<header role="heading">
          <span class="widget-icon"> 
            <i class="fa fa-edit"></i> 
          </span>
					<h2>Manage Entity Levels </h2>	

          <button v-show="!creationMode" @click="changeMode()" class="btn btn-primary btn-sm pull-right"><i class="icon-plus icons font-2xl"></i> <i class="fa fa-plus-square"></i> &nbsp; Create New Level</button>	
          <button v-show="creationMode" @click="changeMode()" class="btn btn-primary btn-sm pull-right"><i class="icon-plus icons font-2xl"></i> <i class="fa fa-level-up"></i> &nbsp; Up</button>		
					
				  <span class="jarviswidget-loader"><i class="fa fa-refresh fa-spin"></i></span>
        </header>

				<!-- widget div-->
				<div role="content">
					
					<!-- widget edit box -->
					<div class="jarviswidget-editbox">
						<!-- This area used as dropdown edit box -->
						
					</div>
					<!-- end widget edit box -->
					
					<!-- widget content -->
					<div class="widget-body no-padding">
										<div v-if="alert == true" class="alert alert-success no-margin fade in">
											<button class="close" data-dismiss="alert">
												×
											</button>
											<i class="fa-fw fa fa-info"></i>
                        Success .
                      </div>
										
										<div  class="table-responsive">
										
											<table class="table table-bordered table-striped table-condensed table-hover smart-form has-tickbox">
												<thead>
                          <tr>
                            <th>#</th>
                            <th>Description</th>
                            <th>Level Weight</th>
                            <th>BPMN ?</th>
                            <th>  </th>
                          </tr>
                        </thead>
                        <tbody v-show="!creationMode">
                          <tr v-for="(level,index) in levels" :key="index">
                            
                            <td>{{index + 1 }}</td>
                            <td>
                                  <label class="input">
                                    <input required v-validate="'required|alpha_spaces'" :name="'WeightDesc'+index" v-model="level.WeightDesc" class="form-control" type="text" :value="level.WeightDesc">
                                    <span class="alert-danger" v-show="errors.has('WeightDesc'+index)">{{ errors.first('WeightDesc'+index) }}</span>
                                  </label>
                              </td>
                            <td>
                              <label class="input">
                              <input required v-validate="'required|numeric'" v-model="level.LevelWeight" class="form-control" :name="'LevelWeight'+index" type="number" :value="level.LevelWeight">
                              <span class="alert-danger" v-show="errors.has('LevelWeight'+index)">{{ errors.first('LevelWeight'+index) }}</span>
                              </label>
                            </td>
                            <td>
                              <label class="checkbox">
                                <input type="checkbox" v-model="level.IsBPMAuth"  value="level.IsBPMAuth">
                                <i></i> 
                              </label>
                            </td>
                            <td>
                              <!-- <span class="badge badge-success">Active</span> -->
                              <button @click="updateLevel(level)"  class="btn btn-sm btn-primary"><i class="fa fa-dot-circle-o"></i>&nbsp; Update</button>
                              
                              <button @click="deleteLevel(level)"  class="btn btn-sm btn-danger"><i class="fa fa-remove"></i>&nbsp; Remove</button>

                            </td>
                          </tr>
                          
                        </tbody>

                        <tbody v-show="creationMode">
                          <tr>
                            
                            <td>#</td>
                            <td>
                                  <label class="input">
                                    <input v-model="c_level.WeightDesc" class="form-control" type="text" >
                                  </label>
                              </td>
                            <td>
                              <label class="input">
                              <input v-model="c_level.LevelWeight" class="form-control" type="number" >
                              </label>
                            </td>
                            <td>
                              <label class="checkbox">
                                <input type="checkbox" v-model="c_level.IsBPMAuth" >
                                <i></i> 
                              </label>
                            </td>
                            <td>
                              <button @click="createLevel()" class="btn-primary btn btn-sm">&nbsp; 
                                <i class="fa fa-dot-circle-o"></i> Submit 
                              </button>
                            </td>
                          </tr>
                          
                        </tbody>
											</table>
											
										</div>
										
         

      
									</div>
					<!-- end widget content -->
					
				</div>
				<!-- end widget div -->
				
			</div>

  </div>
    
</template>

<script src="./manage"></script>
